import json

import requests

## Envoi des données sur sensor community

url = "https://api.sensor.community/v1/push-sensor-data/"
headers = {
    "Content-Type": "application/json",
    "X-Pin": "1",
    "X-Sensor": "esp32-900881266"
}

data = {
    "software_version": "0.1",
    "sensordatavalues": [
        {"value_type": "P1", "value": "11.3"},
        {"value_type": "P2", "value": "8.6"}
    ]
}

response = requests.post(url, headers=headers, data=json.dumps(data), timeout=10)

print(response.status_code) # 201 = created
print(response.text)
